com.thinkaurelius.titan.graphdb.internal

## Enum RelationCategory

- java.lang.Object
- - java.lang.Enum<RelationCategory>
  - - com.thinkaurelius.titan.graphdb.internal.RelationCategory

- All Implemented Interfaces:
    Condition<TitanRelation>, Serializable, Comparable<RelationCategory>

      public enum RelationCategory
      extends Enum<RelationCategory>
      implements Condition<TitanRelation>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `Condition.Type`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE`
    `PROPERTY`
    `RELATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(TitanRelation relation)`
    `Iterable<TitanRelation>` | `executeQuery(TitanVertexQuery query)`
    `Iterable` | `getChildren()`
    `Condition.Type` | `getType()`
    `boolean` | `hasChildren()`
    `boolean` | `isProper()`
    `int` | `numChildren()`
    `static RelationCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RelationCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `equals, hashCode, toString`

- - ### Enum Constant Detail

    - #### EDGE

          public static final RelationCategory EDGE

    - #### PROPERTY

          public static final RelationCategory PROPERTY

    - #### RELATION

          public static final RelationCategory RELATION

  - ### Method Detail

    - #### values

          public static RelationCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelationCategory c : RelationCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelationCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isProper

          public boolean isProper()

    - #### executeQuery

          public Iterable<TitanRelation> executeQuery(TitanVertexQuery query)

    - #### getType

          public Condition.Type getType()

      Specified by:
        `getType` in interface `Condition<TitanRelation>`

    - #### getChildren

          public Iterable getChildren()

      Specified by:
        `getChildren` in interface `Condition<TitanRelation>`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `Condition<TitanRelation>`

    - #### numChildren

          public int numChildren()

      Specified by:
        `numChildren` in interface `Condition<TitanRelation>`

    - #### evaluate

          public boolean evaluate(TitanRelation relation)

      Specified by:
        `evaluate` in interface `Condition<TitanRelation>`

Copyright © 2012–2014. All rights reserved.